
PYROS - Evolution #4054
Evolution # 4090 (Nouveau): ******************* PYROS SOFTWARE
Evolution # 4093 (Nouveau): ************** (WP) 09.1 – OBSERVATORY CONTROL

******* (M) 09.1.20 - ROUTINE - Routine Manager
08/30/2016 05:41 pm - Etienne Pallier

Status: Nouveau Start date: 05/19/2016
Priority: Normal Due date:
Assignee: Etienne Pallier % Done: 7%
Category: Estimated time: 278.00 hours
Target version: Spent time: 0.00 hour
Description

Module de gestion des requêtes Routines

Subtasks:
Evolution # 4170: * (F) Build a new request from scratch Nouveau
  Evolution # 4473: Build Request Nouveau
  Evolution # 4474: (FT) Tests Nouveau
Evolution # 4171: * (F) Build a request from an existing pattern Nouveau
  Evolution # 4475: Build Request Nouveau
  Evolution # 4476: (FT) Tests Nouveau
Evolution # 4172: * (F) Examine and validate a request (web form) Nouveau
  Evolution # 4405: Do all the needed checks Nouveau
  Evolution # 4411: When saving, do more checks on coordinates, jd1/2 etc Nouveau
  Evolution # 4447: (FT) Tests Nouveau
Evolution # 4173: * (F) Simulate plan, sequence, request Nouveau
Evolution # 4174: * (F) Optimize parameters Nouveau
  Evolution # 4403: Put the goods fields (for coordinates etc) Nouveau
  Evolution # 4404: Only propose the objects that matches the conditions (ex: scientific ... Nouveau
  Evolution # 4406: Add automatic computation of JD1/JD2 Nouveau
  Evolution # 4448: (FT) Tests Nouveau
Evolution # 4175: * (F) Submit request Nouveau
  Evolution # 3811: Routine auto-deposit Fermé
  Evolution # 4413: When submitting, use the monitoring to determine sequences status Nouveau
  Evolution # 4414: When submitting, modify the first_schedule to False, when scheduling Nouveau
  Evolution # 4415: When unsubmitting, uncomment the check for EXED and EXING removing Nouveau
  Evolution # 4416: When unsubmitting, uncomment the scheduling and change the first_sche... Nouveau
  Evolution # 4449: (FT) Tests Nouveau
Evolution # 4176: * (F) Interface with JD1JD2 Calculator (JFL) Nouveau
  Evolution # 4407: Add checkbox for JD / GD Nouveau
  Evolution # 4445: Interface Nouveau
  Evolution # 4450: (FT) Tests Nouveau
Evolution # 4177: * (F) Interface with ETC/IS (Exposure Time Calculator / Image Simulat... Nouveau
  Evolution # 3693: Simulation  with ETC-IS Nouveau
  Evolution # 4409: Add ETC-IS simulation Nouveau
  Evolution # 4446: Interface development Nouveau
  Evolution # 4451: (FT) Tests Nouveau
Evolution # 4285: * (F) Build a request from an XML file Nouveau
Evolution # 4288: * (F) Build a request BY COPY Nouveau
  Evolution # 4426: RoutineManager : Faire un TEST import/export d’une requete Nouveau
  Evolution # 4452: (FT) Tests Nouveau
Evolution # 4289: * (F) Routine Request VIEW (sequences/albums/plans/ and images if exist) Nouveau
  Evolution # 3660: Design Fermé
  Evolution # 4408: Add options : copy my sequence on x days, and authorise report Nouveau
  Evolution # 4410: Add help for new users (New accounts only) Nouveau
  Evolution # 4412: Uncomment filter for alerts removing Nouveau
  Evolution # 3657: Request form Fermé
  Evolution # 4428: Pouvoir donner la date sous deux formes (“Tonight” => nuit en cours o... Nouveau
  Evolution # 4429: Request level: (default) "Best effort, do as much sequences as you ca... Nouveau
  Evolution # 4430: Sequence level (default) “Optional sequence”  => option “Mandatory se... Nouveau
  Evolution # 4431: Période de visibilité JD1-JD2: Donnée par le logiciel ETC/IS Nouveau
  Evolution # 4432: Période de visibilité JD1-JD2: recalculer le JD1-JD2 qui sera un peu ... Nouveau
  Evolution # 4433: Période de visibilité JD1-JD2:  il peut y en avoir plusieurs dans la ... Nouveau
  Evolution # 4453: (FT) Tests Nouveau
Evolution # 4292: MODULE Tests Suite Nouveau

History
#1 - 09/12/2016 04:14 pm - Etienne Pallier
- Subject changed from (MODULE) ROMN - RoutineManager to *** (MODULE) 20 - ROMN - RoutineManager ***

#2 - 09/12/2016 04:18 pm - Etienne Pallier
- Parent task set to #4090

#3 - 09/12/2016 04:22 pm - Etienne Pallier
- Subject changed from *** (MODULE) 20 - ROMN - RoutineManager *** to ******* (MODULE) 20 - ROMN - RoutineManager

#4 - 09/12/2016 04:43 pm - Etienne Pallier
- Subject changed from ******* (MODULE) 20 - ROMN - RoutineManager to ******* (M) 20 - ROMN - RoutineManager

#5 - 09/12/2016 04:45 pm - Etienne Pallier
- Subject changed from ******* (M) 20 - ROMN - RoutineManager to ********** (M) 20 - ROMN - RoutineManager

#6 - 09/12/2016 04:58 pm - Etienne Pallier
- Subject changed from ********** (M) 20 - ROMN - RoutineManager to ******************** (M) 20 - ROMN - RoutineManager

#7 - 09/12/2016 05:04 pm - Etienne Pallier
- Parent task changed from #4090 to #4093

#8 - 09/12/2016 05:44 pm - Etienne Pallier
- Subject changed from ******************** (M) 20 - ROMN - RoutineManager to ******* (M) 9.1.20 - ROMN - RoutineManager

#9 - 09/12/2016 05:45 pm - Etienne Pallier
- Subject changed from ******* (M) 9.1.20 - ROMN - RoutineManager to ******* (M) 9.1.20 - ROMN - RoutineManager *******

#10 - 09/13/2016 11:47 am - Etienne Pallier
- Subject changed from ******* (M) 9.1.20 - ROMN - RoutineManager ******* to ******* (M) 9.1.20 - ROMN - Routine Manager *******

#11 - 09/13/2016 11:49 am - Etienne Pallier
- Subject changed from ******* (M) 9.1.20 - ROMN - Routine Manager ******* to ******* (M) 9.1.20 - ROUTINE - Routine Manager *******

#12 - 09/13/2016 03:15 pm - Etienne Pallier
- Subject changed from ******* (M) 9.1.20 - ROUTINE - Routine Manager ******* to ******* (M) 09.1.20 - ROUTINE - Routine Manager *******

#13 - 09/13/2016 03:48 pm - Etienne Pallier
- Target version set to 135
#14 - 09/14/2016 10:41 pm - Etienne Pallier
- Subject changed from ******* (M) 09.1.20 - ROUTINE - Routine Manager ******* to ******* (M) 09.1.20 - ROUTINE - Routine Manager

#15 - 09/23/2016 03:58 pm - Etienne Pallier
- Target version deleted (135)
